Subject: Re: [PATCH] ci: fix Python dependency on Ubuntu 24.04

From: Patrick Steinhardt <[email-masked]>
Date: Tue, 7 May 2024 06:08:35 +0200

On Mon, May 06, 2024 at 02:06:04PM -0500, Justin Tobler wrote:
> On 24/05/06 07:35AM, Patrick Steinhardt wrote:
> > Newer versions of Ubuntu have dropped Python 2 starting with Ubuntu
> > 23.04. By default though, our CI setups will try to use that Python
> > version on all Ubuntu-based jobs except for the "linux-gcc" one.
> > 
> > We didn't notice this issue due to two reasons:
> > 
> >   - The "ubuntu:latest" tag always points to the latest LTS release.
> >     Until a few weeks ago this was Ubuntu 22.04, which still had Python
> >     2.
> > 
> >   - Our Docker-based CI jobs had their own script to install
> >     dependencies until 9cdeb34b96 (ci: merge scripts which install
> >     dependencies, 2024-04-12), where we didn't even try to install
> >     Python at all for many of them.
> > 
> > Since the CI refactorings have originally been implemented, Ubuntu
> > 24.04 was released, and it being an LTS versions means that the "latest"
> > tag now points to that Python-2-less version. Consequently, those jobs
> > that use "ubuntu:latest" broke.
> > 
> > Address this by using Python 2 on Ubuntu 20.04, only, whereas we use
> > Python 3 on all other Ubuntu jobs. Eventually, we should think about
> > dropping support for Python 2 completely.
> > 
> > Reported-by: Justin Tobler <[email-masked]>
> 
> Not a big deal, but the email is slightly off. Should be:
> <[email-masked]>
> 
> Otherwise this patch looks good to me. :)

You know, every single time I copy over addresses. This one time I
didn't and of course I immediately mistype it. Well, lesson learned,
copy & paste it is.

Patrick